.f.o:
	f77 -c -I$(inc_path) $*.f

inc_path="/usr/include"
lib_path="/usr/local/netcdf-3.4/lib"

nc_climatology:\
 nc_climatology.o check_climate.o check_nc_dims.o\
 convert_short_float.o convert_int_float.o convert_string_date.o\
 dates.o end_dates.o nc_errors.o strings.o
	f77 -o nc_climatology nc_climatology.o check_climate.o\
 check_nc_dims.o convert_short_float.o convert_int_float.o\
 convert_string_date.o dates.o end_dates.o nc_errors.o strings.o \
 -L$(lib_path) -lnetcdf

nc_climatology.o:	nc_climatology.f	nc_dims.inc	missing_values.inc
check_climate.o:	check_climate.f		stats_texts.inc
check_nc_dims.o:	check_nc_dims.f
convert_int_float.o:	convert_int_float.f	missing_values.inc
convert_short_float.o:	convert_short_float.f	missing_values.inc
convert_string_date.o:	convert_string_date.f
dates.o:		dates.f
end_dates.o:		end_dates.f
nc_errors.o:		nc_errors.f
strings.o:		strings.f

