

c     The function "ok_name_drifter" checks id a (short) variable name
c      is listed in "name_drifter.inc".
c     If the name is found, the function returns (.true.),
c      otherwise, (.false.) is returned.

      logical function ok_name_drifter(name)

      implicit none

      include 'name_drifter.inc'

c     Input:
      character*(*) name

c     Local:
      integer check_no,size
      logical got_it

c     Function:
      integer str_len


      check_no = 0
      got_it = .false.
      size = str_len(name)

      do while (.not. got_it .and. check_no .lt. no_var_name)
         check_no = check_no + 1
         if (size .eq. var_name_length(check_no)) then
            if (name(1:size) .eq. var_name(check_no)) got_it = .true.
         end if
      end do

      ok_name_drifter = got_it

      end
